<?php
if ( !defined( 'ABSPATH' ) ) exit;

	function bsp_robo_cron_schedule( $schedules ) {
		$schedules['bsp_robo_runtime'] = array(
			'interval' => 600, // Every 10 minute
			'display'  => __( 'Every 10 minute' ),
		);
		return $schedules;
	}
	add_filter( 'cron_schedules', 'bsp_robo_cron_schedule' );
	
	//Schedule an action if it's not already scheduled
	if ( ! wp_next_scheduled( 'bsp_robo_cron_hook' ) ) {
		wp_schedule_event( time(), 'bsp_robo_runtime', 'bsp_robo_cron_hook' );
	}
	
	///Hook into that action that'll fire every 10 minute
	 add_action( 'bsp_robo_cron_hook', 'bsp_robo_cron_function' );
	
	
	function bsp_robo_cron_function() {
		global $wpdb;
        $logs = $wpdb->get_results("SELECT ivr_id FROM ".$wpdb->prefix."bsp_robo_logs WHERE ivr_status IS NULL AND ivr_datetime > now() - interval 24 hour ORDER BY ID DESC");
		if (count($logs) > 0) {
		    foreach($logs as $log) {
		        $ivr_id   = $log->ivr_id;
		        $print = 'no';
		        if($ivr_id) {
		        	bsp_robo_get_call($ivr_id, $print);
		        }
		    }
		}
	}	
